# Build tools

Vieter requires several tools to be developed, one of which being a specific
version of Vlang. This repository manages Dockerfiles & other packages for
these various tools.

## Build instructions

Most stuff in this repository is built automatically using my CI. These
instructions can be found in [`.woodpecker`](./.woodpecker).

### Vlang Docker image

The Vlang Docker image takes too long to build on my CI, mostly because it
needs to be built for both arm64 & aarch64. It can be built by running the
following command in the `vlang` directory:

```sh
docker buildx build \
    --platform linux/amd64,linux/arm64 \
    -t 'git.rustybever.be/vieter/vlang:5d4c9dc9fc11bf8648541c934adb64f27cb94e37-alpine3.17' \
    -t 'git.rustybever.be/vieter/vlang:latest' \
    --push .
```

The hash in the tag corresponds to the tag of the vlang repository.
